@import "../content/header/top_bar";

#header {
  position: sticky;
  z-index: 20;
  top: 0;
  width: 100%;
  background-color: var(--white);
  transition: var(--transition);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);

  > .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    position: relative;

    @include media('md') {
      padding-top: 1rem;
      padding-bottom: 1rem;
      min-height: 6rem;
    }
  }

}

#header.home-transparent.page-home {
  position: fixed;

  // Header fixo - cor customizada
  &.on-top:not(:hover) {
    background-color: rgba(255, 255, 255, 0.3);
    box-shadow: none;

    * { color: var(--white) !important }

    .header-search .search-form {
      background-color: transparent;
    }

    // Menu com estilização de botão
    .menu-list .has-submenu:first-of-type .menu-title.-custom {
      border-color: var(--white);
    }
  }
}

#header .search-opener {
  display: flex;
  margin-right: 2rem;
  transition: var(--transition);
}

#header .header-search {

  @include media("md") { flex: 1 }

  &.-active .search-form {
    opacity: 1;
    visibility: visible;
    pointer-events: all;
    transform: translateY(0);
  }

  .search-form {
    display: flex;
    align-items: center;
    flex-direction: row-reverse;
    border: 1px solid var(--gray-2);
    background-color: var(--white);
    padding: 0.4rem 1rem;
    width: 100%;
    position: absolute;
    top: 100%;
    left: 0;
    transform: translateY(-1rem);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: var(--transition);
  
    @include media('md') {
      border-radius: 0.4rem;
      position: static;
      opacity: 1;
      visibility: visible;
      pointer-events: all;
      transform: none;
      border: none;
    }

    &:hover { filter: brightness(0.95) }
    
    &:active,
    &:focus-within,
    &:focus {
      background-color: var(--gray-1);
    }

    .field { width: 100% }

    .field input {
      background-color: transparent;
      border: 0;
      height: 3.6rem;
      width: 100%;
      padding: 0;
      font-size: var(--font-size-small);
      font-weight: var(--font-weight-base);
      -webkit-appearance: none;
      border-radius: 0;
  
      &:focus { outline: none }
    }

    .search-action {
      display: flex;
      padding-right: 2rem;
    }
  
    .search-action .icon {
      height: 1.6rem;
      width: 1.6rem;
    }
  }

  .search-closer { display: none }
}

#header .logo {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;

  @include media("md") {
    margin: 0;
    flex: unset;
  }

  a {
    display: block;
    width: max-content;
  }

  img {
    width: 15rem;
    object-fit: contain;
    @include media('lg') { width: 20rem }
  }

}

#header .actions {
  align-items: center;
  display: flex;
  justify-content: flex-end;
  gap: 2rem;
  
  @include media("md") { flex: 1 }

  > .account .account-button,
  > .cart .cart-button {
    font-size: var(--font-size-small);
    transition: var(--transition);

    &:hover { opacity: 0.5 }
  }

  > .account {
    font-weight: var(--font-weight-base);
    line-height: 1;
    display: none;

    @include media("md") { display: block }
  }

  > .cart .cart-button {
    font-weight: var(--font-weight-base);
    line-height: 1;
    display: flex;
    align-items: center;
    gap: 1rem;
    position: relative;
  }

  > .cart .count {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: var(--font-size-small);
    height: 1.6rem;
    width: 1.6rem;
    line-height: var(--line-height);
    border-radius: 50%;
    background-color: var(--secondary-color);
    color: var(--white);
    position: absolute;
    top: -1rem;
    right: -0.8rem;
  }
}

#header .hamburger {
  display: flex;
  transition: var(--transition);
  @include media('md') { display: none }
}
